Skip to main content
GET
/
ai-agents
/
agent-builder
/
frontend-actions
List Frontend Actions
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/frontend-actions \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "_id": "myapp_onUserClick",
      "appId": "my-app-id",
      "name": "User Click Action",
      "description": "Triggered when a user clicks a button",
      "triggerFunction": "onUserClick",
      "icon": "https://example.com/icon.png",
      "parameters": [
        {
          "key": "userId",
          "type": "string",
          "description": "The user identifier",
          "required": true
        }
      ],
      "tool": {
        "name": "onUserClick",
        "description": "Triggered when a user clicks a button",
        "parameters": {
          "type": "object",
          "properties": {},
          "required": []
        }
      },
      "createdAt": 1700000000000,
      "updatedAt": 1700000000000
    }
  ],
  "meta": {
    "previous": {
      "affix": "prepend",
      "createdAt": 1700000000000
    },
    "current": {
      "limit": 10,
      "count": 1
    },
    "next": {
      "affix": "append",
      "createdAt": 1700000000000
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Query Parameters

limit
number

Maximum number of results to return per page.

affix
enum<string>

To paginate over results, use the value of affix as prepend or append.

Available options:
prepend,
append
createdAt
number

To be used with affix for pagination.

Response

200 - application/json

Paginated list of frontend actions

data
object[]
meta
object